package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.SxThirdPartyDbCollectDataModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/18 11:22 上午
 * @Description:
 **/
public interface ISxThirdPartyDbParitySyncSqlBuilderService {

    /**
     * 第三方DB对等同步SQL建造器
     * @param collect 参数
     * @param map 数据
     * @param fieldList 字段集合
     * @return 结果
     */
    @ApiOperation(value = "第三方DB对等同步SQL建造器", notes = "第三方DB对等同步SQL建造器")
    StringBuilder builder(SxThirdPartyDbCollectDataModel collect, Map<String, Object> map, List<String> fieldList);

}
